# CreateURocketMQService - CreateURocketMQService

## Overview

Create a URocketMQ service






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateURocketMQService`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Please refer to [GetProjectList interface](/docs/api/summary/get_project_list) |**Yes**|
| **Name** | string | Service name. Regular expression check: ^[a-zA-Z0-9-_]{1,36}$ |**Yes**|
| **Storage** | int | Message storage space, in GB, with different optional values ​​depending on TPS. 20000: [300, 2000], 50000: [700, 2800], 100000: [1500, 5000], 200000: [2000, 8000] |**Yes**|
| **VPCId** | string | VPC ID, the default is the default VPC in the current region |**Yes**|
| **SubnetId** | string | Subnet ID, the default subnet is the default subnet of the current region |**Yes**|
| **ChargeType** | string | Billing mode. The enumeration value is: Year, pay annually; Month, pay monthly; Dynamic, pay in advance by the hour |**Yes**|
| **Tps** | string | Transaction volume per second. Supports 20000, 50000, 100000, 200000 |**Yes**|
| **Mode** | string | Instance network type, unique value: PrivateNet |**Yes**|
| **Edition** | string | Version, unique value: Enterprise |**Yes**|
| **Quantity** | int | Purchase duration. When paying monthly, quantity 0 means the purchase will be made until the end of the month. Hourly payment only supports quantity 0 or no quantity. Annual payment does not support quantity 0. |No|
| **Remark** | string | remark |No|
| **Tag** | string | Business group tag, default value: Default |No|
| **FileReservedTime** | string | The maximum retention time of a message, default value: 3 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ServiceId** | string | Service ID |**Yes**|




## Example

### Request Example
    
```
https://api.dezai.com/?Action=CreateURocketMQService
&Region=cn-zj
&ProjectId=edbKnkbr
&Name=zhQpmDFA
&TPS=tZiqcgLK
&TopicLimit=25
&Storage=1
&VPCId=IWYGphNn
&SubnetId=VeERPmRM
&ChargeType=Year
&Quantity=9
&Remark=EdQGxpHS
&Remark=iNqWLhHU
&Mode=PrivateNet：内网模式；PublicNet：外网模式
&Tag=idcfHQMY
&Edition=cJUoTkTu
&FileReservedTime=fhRWEiwS
```

### Response Example
    
```json
{
  "Action": "CreateURocketMQServiceResponse",
  "Message": "bjtIbiDr",
  "RetCode": 0,
  "ServiceId": "amhugDFb"
}
```





